<?php
/**
* @version $Id: $
* @package osm-things
* @copyright Copyright (C) 2008 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

define( '_VALID_OSM', TRUE );
define( '_PATH', './' );
$DEBUG = FALSE;
if($DEBUG) error_reporting(E_ALL);

include("./config.inc.php");
include("./libraries/functions.inc.php");
include("./libraries/classes.php");
include("./libraries/html.classes.php");
include("./check_db.php");

setlocale (LC_TIME, $cfg['config_locale']);
include("./languages/".get_lang($cfg['config_language']).".php");
include("./head.html.php");

if($cfg['show_exec_time'])
    $startTime = microtime_float();

/*
session_start();
if(!isset($_SESSION['stock_id'])) {
	$_SESSION['stock_id'] = 0;
} else {
	$stock_id = $_SESSION['stock_id'];
}
if(isset($_POST['stock_id'])) {
	$stock_id = intval($_POST['stock_id']);
	$_SESSION['stock_id'] = $stock_id;
}
*/

if($DEBUG) {
    foreach($_POST as $akey => $val)
        out("<b>$akey</b> = $val", "OUT_DEBUG");
}

// connect to database
$link = db_connect_h($cfg['db_host'], $cfg['db_name'], $cfg['db_user'], $cfg['db_password']);

HTML::heading(_APP_NAME, 2);
HTML::main_menu();

HTML::heading(_HOME_WELCOME_TO . _APP_NAME, 3);
#HTML::message(_HOME_INTRO);
#HTML::message('<a href="README.txt">README.txt</a>');
HTML::message('<a target="_blank" href="http://osm.erlkoenigkabale.eu/">Homepage</a>');
HTML::message('<a target="_blank" href="http://www.openstreetmap.org/">OpenStreetMap</a>');
if($cfg['pma_app_show_link']) {
	HTML::message('<a target="_blank" href="'.$cfg['pma_app_path'].'">phpMyAdmin</a>');
}


if($cfg['show_exec_time']) {
    $endTime = microtime_float();
    $exectime = round($endTime - $startTime, 4);
}
include("./foot.html.php");
?>